Update an inbox filter

PATCH
/filters/{filterId}

Changes type and/or value. The resulting filter is validated as a whole: a new type needs a compatible value.

Authorization

apiKey
Authorization<token>

Your 48 character Emelia API key, the same as for the Emelia API, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api. Disabling a key can take up to 5 minutes to apply to the Inbox API.

In: header

Path Parameters

filterId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

At least one field; revalidated as a whole.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/filters/cmflacme0000000000000001" \  -H "Authorization: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "value": "news.example.com"  }'
{  "filter": {    "id": "cmflacme0000000000000001",    "type": "domain",    "value": "news.example.com",    "label": null,    "createdAt": "2026-10-01T12:00:00.000Z",    "updatedAt": "2026-10-01T12:00:00.000Z"  }}